Package ru.bitel.bgbilling.modules.mobile.common.service

# Interface MobileService

    public interface MobileService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<MobileContractNotification>` | `contractNotifications​(int contractId, Period periodSend, java.lang.Boolean storable, java.lang.Boolean notConfirm)` |
  `void` | `deleteContractNotification​(int id)` | Удаление уведомления.
  `MobileContractData` | `getMobileContractData​(int contractId)` |
  `MobileContractNotification` | `sendPushNotification​(MobileContractNotification notification)` | Послать пуш уведомления на все устройства пользователя. Внимание!

- ## Method Details

  - ### getMobileContractData

    MobileContractData getMobileContractData​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractNotifications

    java.util.List<MobileContractNotification> contractNotifications​(int contractId, Period periodSend, java.lang.Boolean storable, java.lang.Boolean notConfirm) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `contractId` - - код договора
      `periodSend` - - фильтр по периоду отправки. Если null то вернет все.
      `storable` - true - хранимые, false - не хранимые, null - все
      `notConfirm` - true - только не подтвержденные, false - только подтвержденные, null - все
    Returns:
      - список отправленных уведомлений
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteContractNotification

    void deleteContractNotification​(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление уведомления.
    Parameters:
      `id` - - код уведомления
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### sendPushNotification

    MobileContractNotification sendPushNotification​(MobileContractNotification notification) throws ru.bitel.bgbilling.common.BGException
    Послать пуш уведомления на все устройства пользователя.
    Внимание! Вызывается принудительно commit для БД перед отправкой на пуш сервер, чтобы уведомление уже было в БД когда абонент попытается подтвердить его получение.
    Parameters:
      `notification` - - уведомление
    Returns:
      - уведомление с установленным статусом и id
    Throws:
      `ru.bitel.bgbilling.common.BGException` - - если сообщение более 1024 символов, если токена нет или статус не позволяет отправку уведомлений